package com.mortals.xhx.module.window.web;

import com.mortals.framework.model.Context;
import com.mortals.framework.web.BasePhpCRUDJsonMappingController;
import com.mortals.xhx.base.system.param.service.ParamService;
import com.mortals.xhx.module.window.model.WindowEntity;
import com.mortals.xhx.module.window.service.WindowService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * 站点部门窗口
 *
 * @author zxfei
 * @date 2022-01-20
 */
@RestController
@RequestMapping("window")
public class WindowController extends BasePhpCRUDJsonMappingController<WindowService, WindowForm, WindowEntity, Long> {

    @Autowired
    private ParamService paramService;

    public WindowController() {
        super.setFormClass(WindowForm.class);
        super.setModuleDesc("站点部门窗口");
    }

    @Override
    protected void init(Map<String, Object> model, Context context) {
        this.addDict(model, "hongqi", paramService.getParamBySecondOrganize("Window", "hongqi"));
        this.addDict(model, "building", paramService.getParamBySecondOrganize("Window", "building"));
        this.addDict(model, "level", paramService.getParamBySecondOrganize("Window", "level"));
        super.init(model, context);
    }

}